| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__DynamicONSLicenseInfo Struct Reference
General Utility Interfaces

Dynamic ONS License Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
int * | Available
| The number of available Dynamic ONS licenses. More...
int * | InUse
| The number of Dynamic ONS licenses currently in use. More...
int * | PreviousDayMaxUsed
| The maximum value of the InUse attribute that has been reported during the last 24 hours. More...
int * | CustomerViolationLimit
| The maximum number of times the dynamic license usage may exceed the number of dynamic licenses. More...
int * | CustomerViolations
| The number of times the dynamic license usage has exceeded the number of dynamic licenses. More...
int * | RemainingDays
| The number of remaining days until the license expires. More...
bool * | Enabled
| A Boolean flag indicating whether Dynamic ONS licensing is installed in the system. More...

## Detailed Description

Dynamic ONS License Information.

It controls the number of SIP subscribers that are concurrently registered in the system and they are defined as OND only clients.

## Member Data Documentation

## ◆ Available

int* unsp__DynamicONSLicenseInfo::Available

The number of available Dynamic ONS licenses.

## ◆ CustomerViolationLimit

int* unsp__DynamicONSLicenseInfo::CustomerViolationLimit

The maximum number of times the dynamic license usage may exceed the number of dynamic licenses.

## ◆ CustomerViolations

int* unsp__DynamicONSLicenseInfo::CustomerViolations

The number of times the dynamic license usage has exceeded the number of dynamic licenses.

## ◆ Enabled

bool* unsp__DynamicONSLicenseInfo::Enabled

A Boolean flag indicating whether Dynamic ONS licensing is installed in the system.

## ◆ InUse

int* unsp__DynamicONSLicenseInfo::InUse

The number of Dynamic ONS licenses currently in use.

## ◆ PreviousDayMaxUsed

int* unsp__DynamicONSLicenseInfo::PreviousDayMaxUsed

The maximum value of the InUse attribute that has been reported during the last 24 hours.

## ◆ RemainingDays

int* unsp__DynamicONSLicenseInfo::RemainingDays

The number of remaining days until the license expires.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h